package com.mason.server.dao.generics;

import java.util.List;

public interface GenericDAO<T> {

	public T add(T object);

	public T get(long id);

	public T update(T object);

	public boolean delete(T object);

	public boolean deleteById(long id);

	public List<T> getAll();
}
